OpenNMS API 1.2.9

## org.opennms.web.map
Class SVGTranscoder

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.opennms.web.map.SVGTranscoder

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class SVGTranscoder
extends javax.servlet.http.HttpServlet

This class should be called from inside of an tag. We generate an SVG document and pass it to the Batik Transcoder and output a PNG file of the tree map of nodes. It is very important to note that the Batik Transcoder can use tremendous amounts of memory when it is doing its Transcoding. That's Java for ya, I guess...

Author:
  Derek Glidden , NKSi
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.http.HttpServlet
``

Fields inherited from class javax.servlet.GenericServlet
``

Constructor Summary
`SVGTranscoder()`

Method Summary
`void` `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGTranscoder

    public SVGTranscoder()

Method Detail

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest request,
                      javax.servlet.http.HttpServletResponse response)
               throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.